> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update an evaluation run



## OpenAPI

````yaml put /runs/{run_id}
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /runs/{run_id}:
    put:
      tags:
        - Runs
      summary: Update an evaluation run
      operationId: updateRun
      parameters:
        - in: path
          name: run_id
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateRunRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateRunResponse'
        '400':
          description: Invalid input
      x-codeSamples:
        - lang: python
          label: updateRun
          source: >-
            import honeyhive

            from honeyhive.models import components


            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )



            res = s.runs.update_run(run_id='<value>',
            update_run_request=components.UpdateRunRequest())


            if res.update_run_response is not None:
                # handle response
                pass
        - lang: typescript
          label: updateRun
          source: >-
            import { HoneyHive } from "honeyhive";

            import { UpdateRunRequest, UpdateRunRequestStatus } from
            "honeyhive/dist/models/components";

            import { UpdateRunRequest } from "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const runId: string = "<value>";

            const updateRunRequest: UpdateRunRequest = {
              eventIds: [
                "8fd0a069-f113-4c62-aab3-2506a8d15e19",
              ],
              datapointIds: [
                "<value>",
              ],
              configuration: {
                "key": "<value>",
              },
              metadata: {
                "key": "<value>",
              },
            };

              const res = await sdk.runs.updateRun(runId, updateRunRequest);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  schemas:
    UpdateRunRequest:
      type: object
      properties:
        event_ids:
          type: array
          description: Additional sessions/events to associate with this run
          items:
            $ref: '#/components/schemas/UUIDType'
        dataset_id:
          type: string
          description: The UUID of the dataset this run is associated with
        datapoint_ids:
          type: array
          description: Additional datapoints to associate with this run
          items:
            type: string
        configuration:
          type: object
          description: The configuration being used for this run
          additionalProperties: true
        metadata:
          type: object
          description: Additional metadata for the run
          additionalProperties: true
        name:
          type: string
          description: The name of the run to be displayed
        status:
          type: string
          enum:
            - pending
            - completed
    UpdateRunResponse:
      type: object
      properties:
        evaluation:
          type: object
          description: Database update success message
          additionalProperties: true
        warning:
          type: string
          description: >-
            A warning message if the logged events don't have an associated
            datapoint id on the event metadata
          nullable: true
    UUIDType:
      type: string
      format: uuid
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````